diff --git a/changelog b/changelog
index 5cd67de..be9f403 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141229 tpd src/axiom-website/patches.html 20141229.02.tpd.patch
+20141229 tpd projects: weekly update
 20141229 tpd src/axiom-website/patches.html 20141229.01.tpd.patch
 20141229 tpd books/bookvol9 add spadSysChoose
 20141228 tpd src/axiom-website/patches.html 20141228.05.tpd.patch
diff --git a/patch b/patch
index d25b9c3..9286a2b 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,9 @@
-books/bookvol9 add spadSysChoose
+projects: weekly update
 
-Add a missing getchunk for spadSysChoose
+The Interpreter volume has newly merged code.
+The Compiler volume has newly merged code.
+The video page has 4 new videos.
+Hyperdoc Bug 7274 was found, reported, and fixed.
+The READLINE and |function| macros were partially removed.
+htcheck.lisp has been completely rewritten, merged, and removed.
+Dead code has been removed.
diff --git a/projects b/projects
index 27b3e9f..fba8c2e 100644
--- a/projects
+++ b/projects
@@ -98,8 +98,10 @@ Axiom compiler merge
 
   src/interp contains functions called by the compiler.
 
-  2) tree-shake the compiler to drag in the referenced
-     functions.
+  2) tree-shake the compiler to drag in the referenced functions.
+
+    * add a Signatures chapter to the Axiom Compiler volume
+    * add signatures of all lisp functions
 
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 Axiom browser help
@@ -314,6 +316,10 @@ Axiom new developer support
   1) expand the how-to videos for developers detailing how
      to understand, maintain, modify, and extend Axiom
 
+    * develop user course syllabus
+    * develop developer course syllabus
+    * develop algebra course syllabus
+
   2) list and publish potential projects
 
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
@@ -346,17 +352,29 @@ Axiom books
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 
   * treeshake missing references
-  * added a Signatures chapter to the Axiom Interpreter volume
-  * added signatures of some lisp functions
-  * clean up the defvar syntax
 
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 Axiom interpreter
 -=-=-=-=-=-=-=-=-=-=-=-=-=-=
 
-  * )quit now defaults to immediate quit
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+Axiom development ideas
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+
+ * use the .idx files to construct a master index
+   * figure out how to hyperlink to a pdf page
+   * figure out how to do emacs point-search (tags file)
 
+ * merge databases into defstruct form in-memory storage
 
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
+           DONE
+-=-=-=-=-=-=-=-=-=-=-=-=-=-=
 
+  * )quit now defaults to immediate quit
+  * make a video showing low level debugging of lisp code
+  * added a Signatures chapter to the Axiom Interpreter volume
+  * added signatures of some lisp functions
+  * clean up the defvar syntax
 
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b9a76ab..23610e5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4864,6 +4864,8 @@ buglist: bug 7274 was fixed by 20141228.04.tpd.patch<br/>
 src/axiom-website/videos.html add videos<br/>
 <a href="patches/20141229.01.tpd.patch">20141229.01.tpd.patch</a>
 books/bookvol9 add spadSysChoose<br/>
+<a href="patches/20141229.02.tpd.patch">20141229.02.tpd.patch</a>
+projects: weekly update<br/>
  </body>
 </html>
 
